Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BasicBehaviorGoToBall Class Reference

A Basic Behavior for going to the ball. More...

`#include <GT2005SimpleBasicBehaviors.h>`

Inheritance diagram for GT2005BasicBehaviorGoToBall:

[legend]
Collaboration diagram for GT2005BasicBehaviorGoToBall:

[legend]
List of all members.

## Public Member Functions
| GT2005BasicBehaviorGoToBall (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | execute ()
| Executes the basic behavior.
## Private Attributes
double | distanceAtEnd
| parameter "go-to-ball.distance"
double | maxSpeed
| parameter "go-to-ball.max-speed"
double | maxSpeedY
| parameter "go-to-ball.max-speed.y"
WalkAccelerationRestrictor | accelerationRestrictor
| Restricts the walk acceleration to maximum values.
double | targetAngleToBall
| parameter "go-to-ball.target-angle-to-ball"
double | yOffset
| parameter "go-to-ball.y-offset"
double | walkType
| parameter "walk-type"
double | maxTurnSpeed
| parameter "max-turn-speed"
double | slowDownDistance
| parameter "go-to-ball.slow-down-distance"

## Detailed Description

A Basic Behavior for going to the ball.

Author:
  Martin Lötzsch

  Matthias Jüngel

  Jan Hoffmann

Definition at line 91 of file GT2005SimpleBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005BasicBehaviorGoToBall::GT2005BasicBehaviorGoToBall | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Definition at line 99 of file GT2005SimpleBasicBehaviors.h. References Xabsl2BasicBehavior::registerParameter(), and targetAngleToBall.

Here is the call graph for this function:

## Member Function Documentation

void GT2005BasicBehaviorGoToBall::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Definition at line 117 of file GT2005SimpleBasicBehaviors.cpp. References Geometry::angleTo(), Geometry::distanceTo(), fromDegrees(), BallModel::getKnownPosition(), RobotPose::getPose(), max, min, MotionRequest::motionType, Vector2< V >::normalize(), pi, Pose2D::rotation, targetAngleToBall, Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, WalkRequest::walkType, Vector2< V >::x, Vector2< double >::x, Vector2< V >::y, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

double GT2005BasicBehaviorGoToBall::distanceAtEnd`[private]`

| parameter "go-to-ball.distance" Definition at line 120 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToBall::maxSpeed`[private]`

| parameter "go-to-ball.max-speed" Definition at line 123 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToBall::maxSpeedY`[private]`

| parameter "go-to-ball.max-speed.y" Definition at line 126 of file GT2005SimpleBasicBehaviors.h.

WalkAccelerationRestrictor GT2005BasicBehaviorGoToBall::accelerationRestrictor`[private]`

| Restricts the walk acceleration to maximum values. Definition at line 129 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToBall::targetAngleToBall`[private]`

| parameter "go-to-ball.target-angle-to-ball" Definition at line 132 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and GT2005BasicBehaviorGoToBall().

double GT2005BasicBehaviorGoToBall::yOffset`[private]`

| parameter "go-to-ball.y-offset" Definition at line 135 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToBall::walkType`[private]`

| parameter "walk-type" Definition at line 138 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToBall::maxTurnSpeed`[private]`

| parameter "max-turn-speed" Definition at line 141 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToBall::slowDownDistance`[private]`

| parameter "go-to-ball.slow-down-distance" Definition at line 144 of file GT2005SimpleBasicBehaviors.h.

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.cpp